<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black">

    <include
        android:id="@+id/toolbar"
        layout="@layout/detail_toolbar" />

    <ScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/fl_save"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/toolbar">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="85dp"
                android:layout_height="85dp"
                android:layout_marginTop="13.3dp">

                <ImageView
                    android:id="@+id/iv_profile"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:adjustViewBounds="true"
                    android:contentDescription="@null"
                    tools:src="@drawable/ic_launcher_background" />

                <ImageView
                    android:id="@+id/iv_photo_picker"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_alignParentBottom="true"
                    android:background="@drawable/bg_round_corner_33_3_9970ff"
                    android:contentDescription="@null"
                    android:padding="10dp"
                    android:src="@drawable/ic_camera" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:layout_marginTop="26.7dp"
                android:background="@drawable/bg_round_corner_6_7_222222"
                android:orientation="vertical"
                android:paddingHorizontal="13.3dp"
                android:paddingVertical="20dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="6.7dp"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:text="이메일"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_email"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="6.7dp"
                        android:layout_marginTop="6.7dp"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:text="tkdekatk121212@gmail.com"
                        android:textColor="@color/color_777777"
                        android:textSize="13.3sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/color_b3909090" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="26.7dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="6.7dp"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:text="비밀번호"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="12sp" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="6dp">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginStart="6.7dp"
                            android:layout_toStartOf="@+id/tv_modify_password"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:gravity="center_vertical"
                            android:text="********"
                            android:textColor="@color/color_777777"
                            android:textSize="13.3sp" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignBottom="@+id/tv_modify_password"
                            android:layout_toStartOf="@+id/tv_modify_password"
                            android:background="@color/color_b3909090" />

                        <TextView
                            android:id="@+id/tv_modify_password"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="13.3dp"
                            android:background="@drawable/bg_round_corner_8_9970ff"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:paddingHorizontal="22.7dp"
                            android:paddingVertical="13.3dp"
                            android:text="비밀번호 변경"
                            android:textColor="@color/white"
                            android:textSize="13.3sp" />
                    </RelativeLayout>
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:layout_marginTop="13.3dp"
                android:background="@drawable/bg_round_corner_6_7_222222"
                android:orientation="vertical"
                android:paddingHorizontal="13.3dp"
                android:paddingTop="20dp"
                android:paddingBottom="0dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="6.7dp"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:text="닉네임"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="12sp" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="6dp">

                        <TextView
                            android:id="@+id/tv_nickname"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginStart="6.7dp"
                            android:layout_toStartOf="@+id/tv_change_nickname"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:gravity="center_vertical"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="13.3sp"
                            tools:text="닉네임" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignBottom="@+id/tv_change_nickname"
                            android:layout_toStartOf="@+id/tv_change_nickname"
                            android:background="@color/color_b3909090" />

                        <TextView
                            android:id="@+id/tv_change_nickname"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="13.3dp"
                            android:background="@drawable/bg_round_corner_8_9970ff"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:paddingHorizontal="22.7dp"
                            android:paddingVertical="13.3dp"
                            android:text="닉네임 변경"
                            android:textColor="@color/white"
                            android:textSize="13.3sp" />
                    </RelativeLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16.7dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="6.7dp"
                        android:fontFamily="@font/gmarket_sans_bold"
                        android:text="성별"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="12sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:paddingHorizontal="6.7dp"
                        android:paddingVertical="13.3dp">

                        <TextView
                            android:id="@+id/tv_female"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:button="@null"
                            android:drawablePadding="13.3dp"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:text="여자"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="13.3sp"
                            app:drawableStartCompat="@drawable/ic_radio_button_select" />

                        <TextView
                            android:id="@+id/tv_male"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:button="@null"
                            android:drawablePadding="13.3dp"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:text="남자"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="13.3sp"
                            app:drawableStartCompat="@drawable/ic_radio_button_select" />

                        <TextView
                            android:id="@+id/tv_none"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:button="@null"
                            android:drawablePadding="13.3dp"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:text="공개 안 함"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="13.3sp"
                            app:drawableStartCompat="@drawable/ic_radio_button_select" />

                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_sns"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:layout_marginTop="26.7dp"
                android:layout_marginBottom="13.3dp"
                android:background="@drawable/bg_round_corner_6_7_222222"
                android:orientation="vertical"
                android:paddingHorizontal="13.3dp"
                android:paddingVertical="20dp"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="6.7dp"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:text="인스타그램"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/et_instagram"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/edittext_underline"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:hint="인스타그램 URL"
                        android:importantForAutofill="no"
                        android:inputType="textWebEditText"
                        android:paddingHorizontal="6.7dp"
                        android:textColor="@color/color_eeeeee"
                        android:textColorHint="@color/color_777777"
                        android:textCursorDrawable="@drawable/edit_text_cursor"
                        android:textSize="13.3sp"
                        android:theme="@style/EditTextStyle"
                        tools:ignore="LabelFor" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="18dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="6.7dp"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:text="유튜브 채널"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/et_youtube"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/edittext_underline"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:hint="유튜브 채널 URL"
                        android:importantForAutofill="no"
                        android:inputType="textWebEditText"
                        android:paddingHorizontal="6.7dp"
                        android:textColor="@color/color_eeeeee"
                        android:textColorHint="@color/color_777777"
                        android:textCursorDrawable="@drawable/edit_text_cursor"
                        android:textSize="13.3sp"
                        android:theme="@style/EditTextStyle"
                        tools:ignore="LabelFor" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="18dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="6.7dp"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:text="웹사이트"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/et_website"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/edittext_underline"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:hint="웹사이트 URL"
                        android:importantForAutofill="no"
                        android:inputType="textWebEditText"
                        android:paddingHorizontal="6.7dp"
                        android:textColor="@color/color_eeeeee"
                        android:textColorHint="@color/color_777777"
                        android:textCursorDrawable="@drawable/edit_text_cursor"
                        android:textSize="13.3sp"
                        android:theme="@style/EditTextStyle"
                        tools:ignore="LabelFor" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="18dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="6.7dp"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:text="블로그"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/et_blog"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/edittext_underline"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:hint="블로그 URL"
                        android:importantForAutofill="no"
                        android:inputType="textWebEditText"
                        android:paddingHorizontal="6.7dp"
                        android:textColor="@color/color_eeeeee"
                        android:textColorHint="@color/color_777777"
                        android:textCursorDrawable="@drawable/edit_text_cursor"
                        android:textSize="13.3sp"
                        android:theme="@style/EditTextStyle"
                        tools:ignore="LabelFor" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_select_tag_wrapper"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:layout_marginTop="26.7dp"
                android:background="@drawable/bg_round_corner_6_7_222222"
                android:orientation="vertical"
                android:paddingHorizontal="13.3dp"
                android:paddingVertical="20dp"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:text="관심사"
                    android:textColor="@color/color_eeeeee"
                    android:textSize="16.7sp" />

                <TextView
                    android:id="@+id/tv_select_tag"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="13.3dp"
                    android:background="@drawable/bg_round_corner_24_3_339970ff_9970ff"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:gravity="center"
                    android:paddingVertical="13.7dp"
                    android:text="관심사 선택"
                    android:textColor="@color/color_9970ff"
                    android:textSize="16.7sp" />

                <HorizontalScrollView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:scrollbars="none">

                    <LinearLayout
                        android:id="@+id/ll_select_tags"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="13.3dp"
                        android:orientation="horizontal"
                        android:visibility="gone" />
                </HorizontalScrollView>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_introduce"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:layout_marginVertical="40dp"
                android:orientation="vertical"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:lineSpacingExtra="5sp"
                    android:text="소개글"
                    android:textColor="@color/color_eeeeee"
                    android:textSize="16.7sp" />

                <EditText
                    android:id="@+id/et_introduce"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="13.3dp"
                    android:background="@drawable/bg_round_corner_6_7_222222"
                    android:fontFamily="@font/gmarket_sans_medium"
                    android:gravity="top"
                    android:hint="소개글을 입력하세요"
                    android:importantForAutofill="no"
                    android:inputType="textMultiLine"
                    android:minHeight="200dp"
                    android:padding="20dp"
                    android:textColor="@color/color_bbbbbb"
                    android:textColorHint="@color/color_777777"
                    android:textCursorDrawable="@drawable/edit_text_cursor"
                    android:textSize="13.3sp"
                    tools:ignore="LabelFor" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

    <FrameLayout
        android:id="@+id/fl_save"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_top_round_corner_16_7_222222"
        android:paddingHorizontal="13.3dp"
        android:paddingVertical="13.7dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <TextView
            android:id="@+id/tv_save"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_round_corner_10_9970ff"
            android:fontFamily="@font/gmarket_sans_bold"
            android:gravity="center"
            android:paddingVertical="16dp"
            android:text="저장하기"
            android:textColor="@color/white"
            android:textSize="18.3sp" />

    </FrameLayout>
</androidx.constraintlayout.widget.ConstraintLayout>
